'use strict';

angular.module('BillyCmsBackend').factory('BillyObject', function() {
    var BillyObject = function(values) {
        for (var key in values) {
            this[key] = values[key];
        }
    };

    BillyObject.prototype.jsTreeRepresentation = function() {

        var stripHtml = function(text) {
            var div = document.createElement('div');
            div.innerHTML = text;
            return div.textContent || div.innerText || '';
        };

        return {
            id: this.id,
            parent: this.parent_page_id || 'root',
            text: stripHtml(this.title),
            type: !this.page_type || this.page_type === 'Standard' ? 'default' : this.page_type
        };
    };

    BillyObject.prototype.getDataType = function() {
        if (this.__mime) {
            return this.__mime;
        }
        if (this.page_type === 'Binary') {
            if (this.content) {
                var splitted = this.content.split(';base64,');
                if (splitted.length > 1) {
                    this.__mime = splitted[0].replace('data:', '');
                    return this.__mime;
                }
            }
        }
        return 'text/html';
    };

    BillyObject.prototype.isDataType = function(type) {
        var mime = this.getDataType();
        return new RegExp(type + '/\w*').test(mime);
    };

    return BillyObject
});
