module Api
  class ApiController < ActionController::Base
    protect_from_forgery with: :null_session
    skip_before_filter :verify_authenticity_token

    before_filter :ensure_user_is_admin

    def current_user
      @current_user ||= begin
        users = User.where(id: session[:user_id]).presence
        session[:user_id] && users ? users.first : false
      end
    end

    protected

    def ensure_user_is_admin
      unless current_user && current_user.admin?
        render text: 'Forbidden', status: 403
      end
    end
  end
end
