module Api
    class PageTypesController < ApiController
        def index
            render json: BillyCms::PageType.all.includes(:additional_attributes)
        end

        def show
            render json: BillyCms::PageType.find(params[:id])
        end

        def create
            render nothing: true, status: 400 unless params[:page_type]
            page_type = BillyCms::PageType.new page_type_params
            if page_type.save
                render json: {
                    success: true,
                    page_type: page_type
                }
            else
                render json: {
                    success: false,
                    error: page_type.error_messages,
                }, status: 500
            end
        end

    private
        def page_type_params
            params.require(:page_type).permit(:title, :name) if current_user.admin?
        end
    end
end
