module BillyCms
  module PermissionHelper
    def can_edit?(page)
      return false unless page
      return false unless current_user && current_user.admin?
      true
    end

    def billy_edit_button(page = nil)
      return '' unless can_edit?(page ||= @page) and !page.nil?
      render partial: 'billy_cms/edit_page_button', locals: { page: page }
    end

    def billy_settings_button(page = nil)
      return '' unless can_edit?(page ||= @page) and !page.nil?
      return '' unless can_edit?(page) and !page.nil?
      render partial: 'billy_cms/settings_page_button', locals: { page: page }
    end

    def billy_buttons(page = nil)
      billy_edit_button(page) + billy_settings_button(page)
    end
  end
end